--
-- $Id$
--

DEFINE thisfile = 'PLAT03.SQL'
DEFINE dbuser   = '^(PLAT|WOMA|WOWA)'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------


-- PLAT#41494: Verschuiving van kenmerken van complex naar cluster: bouwjaar en vervaljaar
INSERT INTO alg_kenmerk (alg_kenmerk_key, alg_kenmerk_niveau, alg_kenmerk_volgnr, alg_kenmerk_omschrijving, alg_kenmerk_kenmerktype, alg_kenmerk_toonbaar, alg_kenmerk_lengte)
VALUES (5, 'G', 110, 'Bouwjaar', 'C', 1, 30);
-- Hidden maken van bouwjaar van complex, die doen we immer nu op cluster nvio
UPDATE alg_kenmerk
SET alg_kenmerk_volgnr = -1
WHERE alg_kenmerk_key = 1;
-- Volgnummer van gebouw-kenmerk 'Aantal percelen' (key 4) doen we logischerwijs na bouwjaar, dus volgnummer hier van 100->120
UPDATE alg_kenmerk
SET alg_kenmerk_volgnr = 120
WHERE alg_kenmerk_key = 4;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile


--Plato algemeen
@plat.sql
